Package skyview.request

# Class SkyViewDetainter

java.lang.Object
skyview.request.Detainter
skyview.request.SkyViewDetainter

public class SkyViewDetainter extends Detainter
This class defines string patterns and rules that are used to do taint checking for Skyview CGI calls. A hash map of acceptable character patterns is created upon construction and are matched against user input associated with each CGI parameter. If the pattern for a CGI parameter is not found the input is checked for characters that are not allowed. Some parameters such as survey name are checked against a pattern of allowed characters and then checked again to make sure certain sequences of allowed characters are not present.

## Constructor Summary

Constructors
Constructor
Description
`SkyViewDetainter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkInvalid(Pattern pattern, String name, String input)`
`boolean`
`isValid(Pattern pattern, String name, String input)`
`boolean`
`validate(String name, String input)`

### Methods inherited from class skyview.request.Detainter

`addPattern, getPattern`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyViewDetainter

public SkyViewDetainter()

## Method Details

### validate

public boolean validate(String name, String input) throws Exception

Specified by:
  `validate` in class `Detainter`
Throws:
  `Exception`

### isValid

public boolean isValid(Pattern pattern, String name, String input) throws Exception

Throws:
  `Exception`

### checkInvalid

public boolean checkInvalid(Pattern pattern, String name, String input) throws Exception

Throws:
  `Exception`